/// Flutter widgets and themes implementing the current macOS design language.
///
/// To use, `import 'package:macos_ui/macos_ui.dart';`
///
/// This library is designed for apps that run on macOS. While it will work on
/// other Flutter-supported platforms, we encourage the use of the following
/// libraries for apps that run on other desktop platforms:
/// * For Windows, [fluent_ui](https://pub.dev/packages/fluent_ui)
/// * For Linux, [yaru](https://pub.dev/packages/yaru)

library macos_ui;

export 'package:native_context_menu/native_context_menu.dart';

export 'src/buttons/back_button.dart';
export 'src/buttons/checkbox.dart';
export 'src/buttons/help_button.dart';
export 'src/buttons/icon_button.dart';
export 'src/buttons/push_button.dart';
export 'src/buttons/radio_button.dart';
export 'src/buttons/switch.dart';
export 'src/dialogs/macos_alert_dialog.dart';
export 'src/fields/text_field.dart';
export 'src/icon/macos_icon.dart';
export 'src/indicators/capacity_indicators.dart';
export 'src/indicators/progress_indicators.dart';
export 'src/indicators/rating_indicator.dart';
export 'src/indicators/relevance_indicator.dart';
export 'src/indicators/scrollbar.dart';
export 'src/labels/label.dart';
export 'src/labels/tooltip.dart';
export 'src/layout/content_area.dart';
export 'src/layout/macos_list_tile.dart';
export 'src/layout/resizable_pane.dart';
export 'src/layout/scaffold.dart';
export 'src/layout/sidebar.dart';
export 'src/layout/sidebar_item.dart';
export 'src/layout/title_bar.dart';
export 'src/layout/window.dart';
export 'src/macos_app.dart';
export 'src/sheets/macos_sheet.dart';
export 'src/theme/macos_colors.dart';
export 'src/theme/macos_dynamic_color.dart';
export 'src/theme/macos_theme.dart';
export 'src/theme/typography.dart';
